| LicenseSpring .Net SDK 7.42.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
LicenseSpring.ExtendedOptions Class Reference

Class for storing useful settings that the Configuration object will include. More...

Inheritance diagram for LicenseSpring.ExtendedOptions:

## Public Member Functions
void | ActivateHardwareKey (HardwareKeyOptions options)
  | Sets the hardware key (YubiKey PIV) specific options. Calling this method will result in API requests being signed with a hardware key signature. Checks if the provided PIN is valid. Automatically sets the hardware ID to the YubiKey serial number. Parameters
  options | A configured HardwareKeyOptions object.
| ExtendedOptions ()
| Create default ExtendedOptions object.
bool | SetCertificateChainFromFile (string filePath, bool throwException)
  | Sets the CertificateChain property using a certificate in a file. Parameters
  filePath | Path to file with the certificate.
  throwException | If true method will throw an exception, if false it will return false.
Returns True if file was successfully read, false otherwise. If throwException is true, method will throw an exception instead of returning false.

## Properties
AirGapCryptographyMode | AirGapCryptographyMode = AirGapCryptographyMode.Auto`[get, set]`
| Gets or sets the cryptography mode used for generating AirGap codes. The default value is AirGapCryptographyMode.Auto.
bool | AirgapSkipLocalTimeCheck = false`[get, set]`
| If set to true local licence check will ignore local time desynchronization. Works only with airgaped licences. Default false.
string | AlternateKey`[get, set]`
| This option can be used if you are planning to deploy self-hosted server.Contact support for more details.
string | AlternateServiceURL`[get, set]`
| Alternate base URL for LicenseSpring API.This option can be used if you are planning to deploy self-hosted server
string | BundleCode`[get, set]`
| If a user has a standalone and a bundle licence for the same product the system defaults to using the standalone licence. Provide a value to this property to use a bundle licence instead.
string | CertificateChain`[get, set]`
| Certificate chain used with Floating Server v2. Used for verifying LicenseSpring response signatures.
int | CloudIdRequestTimeout`[get, set]`
| Timeout for cloud instance id requests in milliseconds, default is 200.Useful with DeviceIdAlgorithm.AutoId if requests take a long time to complete.
bool | CollectNetworkInfo`[get, set]`
| Whether SDK should send host, local IP and MAC to the LicenseSpring platform.
List< KeyValuePair< string, string > > | CustomHeaders`[get]`
| If you need to send aditional custom header values with your requests, add them here.
DeviceIDAlgorithm | DeviceIdAlgorithm`[get, set]`
| Allows to choose device (hardware) id calculation algorithm.By default it is DeviceIDAlgorithm.Default for backward compatibility.
bool | EnableLogging`[get, set]`
| Whether SDK should log licensing activity.Attention! It's developers only so make sure it's DISABLED in your release builds
bool | EnableVMDetection`[get, set]`
| Control (enable or disable) detection of Virtual machines.
uint | GracePeriod`[get, set]`
| Grace period in hours, default is 48 hours.Set 0 to disable grace period. For cloud floating licenses grace period on license check is enabled if more than an hour of floating period remains.
string | HardwareID`[get, set]`
| Hardware ID of the device. This option allows using custom device ID.
HardwareKeyOptions | HardwareKeyOptions`[get, set]`
| Configured hardware key (YubiKey PIV) options.
bool | IsHardwareKeyEnabled`[get]`
| Is hardware key request signing enabled. Returns true if ActivateHardwareKey(HardwareKeyOptions) method was successfully called.
string | LicenseFilePath`[get, set]`
| Path to local license file.>This property is obsolete, use LicenseManager.DataLocation instead or set LicenseFileStorage explicitly.
int | NetworkTimeout`[get, set]`
| Network timeout in seconds, default is 10, 0 means use system defaults.
bool | ProtectOfflineActivation`[get, set]`
| Provides additional protection for offline activation, by default it's enabled.The SDK creates hidden guard file that ensure activation response file will be valid only once and corresponds to the request file.
ProxySettings | Proxy`[get, set]`
| Proxy settings, if not specified then default settings will be used.
Properties inherited from LicenseSpring.IExtendedOptions

## Detailed Description

Class for storing useful settings that the Configuration object will include.

## Member Function Documentation

## ◆ ActivateHardwareKey()

void LicenseSpring.ExtendedOptions.ActivateHardwareKey | ( | HardwareKeyOptions | options | ) |

Sets the hardware key (YubiKey PIV) specific options. Calling this method will result in API requests being signed with a hardware key signature. Checks if the provided PIN is valid. Automatically sets the hardware ID to the YubiKey serial number.

Parameters

  options | A configured HardwareKeyOptions object.

Implements LicenseSpring.IExtendedOptions.

## ◆ SetCertificateChainFromFile()

bool LicenseSpring.ExtendedOptions.SetCertificateChainFromFile | ( | string | filePath,
|  | bool | throwException
| ) |  |

Sets the CertificateChain property using a certificate in a file.

Parameters

  filePath | Path to file with the certificate.
  throwException | If true method will throw an exception, if false it will return false.

Returns
  True if file was successfully read, false otherwise. If throwException is true, method will throw an exception instead of returning false.

Implements LicenseSpring.IExtendedOptions.

## Property Documentation

## ◆ AirGapCryptographyMode

AirGapCryptographyMode LicenseSpring.ExtendedOptions.AirGapCryptographyMode = AirGapCryptographyMode.Auto
| get set

Gets or sets the cryptography mode used for generating AirGap codes. The default value is AirGapCryptographyMode.Auto.

Implements LicenseSpring.IExtendedOptions.

## ◆ AirgapSkipLocalTimeCheck

bool LicenseSpring.ExtendedOptions.AirgapSkipLocalTimeCheck = false
| get set

If set to true local licence check will ignore local time desynchronization. Works only with airgaped licences. Default false.

Implements LicenseSpring.IExtendedOptions.

## ◆ AlternateKey

string LicenseSpring.ExtendedOptions.AlternateKey
| get set

This option can be used if you are planning to deploy self-hosted server.Contact support for more details.

Implements LicenseSpring.IExtendedOptions.

## ◆ AlternateServiceURL

string LicenseSpring.ExtendedOptions.AlternateServiceURL
| get set

Alternate base URL for LicenseSpring API.This option can be used if you are planning to deploy self-hosted server

Implements LicenseSpring.IExtendedOptions.

## ◆ BundleCode

string LicenseSpring.ExtendedOptions.BundleCode
| get set

If a user has a standalone and a bundle licence for the same product the system defaults to using the standalone licence. Provide a value to this property to use a bundle licence instead.

Implements LicenseSpring.IExtendedOptions.

## ◆ CertificateChain

string LicenseSpring.ExtendedOptions.CertificateChain
| get set

Certificate chain used with Floating Server v2. Used for verifying LicenseSpring response signatures.

Implements LicenseSpring.IExtendedOptions.

## ◆ CloudIdRequestTimeout

int LicenseSpring.ExtendedOptions.CloudIdRequestTimeout
| get set

Timeout for cloud instance id requests in milliseconds, default is 200.Useful with DeviceIdAlgorithm.AutoId if requests take a long time to complete.

Implements LicenseSpring.IExtendedOptions.

## ◆ CollectNetworkInfo

bool LicenseSpring.ExtendedOptions.CollectNetworkInfo
| get set

Whether SDK should send host, local IP and MAC to the LicenseSpring platform.

Implements LicenseSpring.IExtendedOptions.

## ◆ CustomHeaders

List<KeyValuePair<string, string> > LicenseSpring.ExtendedOptions.CustomHeaders
| get

If you need to send aditional custom header values with your requests, add them here.

Implements LicenseSpring.IExtendedOptions.

## ◆ DeviceIdAlgorithm

DeviceIDAlgorithm LicenseSpring.ExtendedOptions.DeviceIdAlgorithm
| get set

Allows to choose device (hardware) id calculation algorithm.By default it is DeviceIDAlgorithm.Default for backward compatibility.

Implements LicenseSpring.IExtendedOptions.

## ◆ EnableLogging

bool LicenseSpring.ExtendedOptions.EnableLogging
| get set

Whether SDK should log licensing activity.Attention! It's developers only so make sure it's DISABLED in your release builds

inheritdoc/>

Implements LicenseSpring.IExtendedOptions.

## ◆ EnableVMDetection

bool LicenseSpring.ExtendedOptions.EnableVMDetection
| get set

Control (enable or disable) detection of Virtual machines.

Implements LicenseSpring.IExtendedOptions.

## ◆ GracePeriod

uint LicenseSpring.ExtendedOptions.GracePeriod
| get set

Grace period in hours, default is 48 hours.Set 0 to disable grace period. For cloud floating licenses grace period on license check is enabled if more than an hour of floating period remains.

Implements LicenseSpring.IExtendedOptions.

## ◆ HardwareID

string LicenseSpring.ExtendedOptions.HardwareID
| get set

Hardware ID of the device. This option allows using custom device ID.

Implements LicenseSpring.IExtendedOptions.

## ◆ HardwareKeyOptions

HardwareKeyOptions LicenseSpring.ExtendedOptions.HardwareKeyOptions
| get set

Configured hardware key (YubiKey PIV) options.

Implements LicenseSpring.IExtendedOptions.

## ◆ IsHardwareKeyEnabled

bool LicenseSpring.ExtendedOptions.IsHardwareKeyEnabled
| get

Is hardware key request signing enabled. Returns true if ActivateHardwareKey(HardwareKeyOptions) method was successfully called.

Implements LicenseSpring.IExtendedOptions.

## ◆ LicenseFilePath

string LicenseSpring.ExtendedOptions.LicenseFilePath
| get set

Path to local license file.>This property is obsolete, use LicenseManager.DataLocation instead or set LicenseFileStorage explicitly.

Implements LicenseSpring.IExtendedOptions.

## ◆ NetworkTimeout

int LicenseSpring.ExtendedOptions.NetworkTimeout
| get set

Network timeout in seconds, default is 10, 0 means use system defaults.

Implements LicenseSpring.IExtendedOptions.

## ◆ ProtectOfflineActivation

bool LicenseSpring.ExtendedOptions.ProtectOfflineActivation
| get set

Provides additional protection for offline activation, by default it's enabled.The SDK creates hidden guard file that ensure activation response file will be valid only once and corresponds to the request file.

Implements LicenseSpring.IExtendedOptions.

## ◆ Proxy

ProxySettings LicenseSpring.ExtendedOptions.Proxy
| get set

Proxy settings, if not specified then default settings will be used.

Implements LicenseSpring.IExtendedOptions.

The documentation for this class was generated from the following file:

- ExtendedOptions.cs